using MvvmCross;
using Plugin.BLE;
using Plugin.BLE.Abstractions.Contracts;
using System;
using System.Collections.ObjectModel;
using Xamarin.Forms;

namespace TheGameExtreme.view
{
    public partial class MultiPlayerMode : ContentPage
    {
        /*IBluetoothLE ble;
        IAdapter adapter;
        ObservableCollection<IDevice> devicesList;
        IDevice device;*/

        public MultiPlayerMode()
        {
            InitializeComponent();
            NavigationPage.SetHasNavigationBar(this, false);

            /*ble = CrossBluetoothLE.Current;
            adapter = CrossBluetoothLE.Current.Adapter;
            devicesList = new ObservableCollection<IDevice>();*/
        }       

        /*private async void BackMulti_Clicked(object sender, EventArgs e)
        {
            await Navigation.PopAsync();
        }

        public void BtnStatueClicked(object sender, EventArgs args)
        {
            var state = ble.State;
            this.DisplayAlert("Notice", state.ToString(), "ok");
        }
        public async void BtnScanClicked(object sender, EventArgs args)
        {
            devicesList.Clear();
            adapter.DeviceDiscovered += (s, a) =>
            {
                devicesList.Add(a.Device);
            };

            if (!ble.Adapter.IsScanning)
            {
                await adapter.StartScanningForDevicesAsync();
            }
            
        }*/



    }
}
